Events
Get a waitlist signup
Resolves a management or offer token within this event. Returns the safe signup projection with no raw management token. Requires grouped registration features; completed/unpublished event management is supported.
GET
/
frontend
/
public
/
events
/
{clientSlugOrId}
/
{eventSlug}
/
waitlist
/
{token}
Get a waitlist signup
curl --request GET \
--url https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/waitlist/{token}import requests
url = "https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/waitlist/{token}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/waitlist/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/waitlist/{token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/waitlist/{token}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/waitlist/{token}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/waitlist/{token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"id": 42,
"status": "waiting",
"name": "Example",
"email": "jane@example.org",
"requested_units": 42,
"admissions_requested": 42,
"offered_at": "2026-10-20T12:00:00Z",
"offer_expires_at": "2026-10-20T12:00:00Z",
"converted_at": "2026-10-20T12:00:00Z",
"event_order_id": 42,
"token": "issued-waitlist-token"
}
}{
"message": "Not Found",
"status": "error"
}Path Parameters
Public organization slug or numeric ID.
Example:
"example-foundation"
Event slug within the organization.
Example:
"annual-gala"
Secret waitlist management or offer capability.
Example:
"issued-waitlist-token"
Response
Get a waitlist signup completed.
Show child attributes
Show child attributes
⌘I
Get a waitlist signup
curl --request GET \
--url https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/waitlist/{token}import requests
url = "https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/waitlist/{token}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/waitlist/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/waitlist/{token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/waitlist/{token}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/waitlist/{token}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/waitlist/{token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"id": 42,
"status": "waiting",
"name": "Example",
"email": "jane@example.org",
"requested_units": 42,
"admissions_requested": 42,
"offered_at": "2026-10-20T12:00:00Z",
"offer_expires_at": "2026-10-20T12:00:00Z",
"converted_at": "2026-10-20T12:00:00Z",
"event_order_id": 42,
"token": "issued-waitlist-token"
}
}{
"message": "Not Found",
"status": "error"
}